package arm

import "git.urbach.dev/cli/q/src/cpu"

// SubRegisterNumber subtracts a number from the given register.
func SubRegisterNumber(destination cpu.Register, source cpu.Register, number int) uint32 {
	number &= 0b1111_1111_1111
	return 0b111100010<<23 | (uint32(number) << 10) | (uint32(source) << 5) | uint32(destination)
}
